/* 
 * 
 * <Ahmed Badran - ahmedb>
 */
#include <stdio.h>
#include <stdlib.h>

/*
 *
 */

extern char **environ; 
int main(int argc, char **argv) 
{
  FILE *fileout;
  int id;
  pid_t pid;

  pid = fork(); 
  if(pid == 0){

    fileout = fopen(argv[argc-1], "w" ); 
    id = getpid();
    printf("pid: %d.\n", id);
    fprintf( fileout, "%d\n", id);
    fclose( fileout );

    if(execlp(argv[1], argv, NULL) < 0){
      printf("%s: Command not found.\n", argv[1]);
      exit(0);
    }
  }
  else {
    int status;
    waitpid(pid, &status, 0);
  }
  return 1;
}
